Package org.jfree.layouting.layouter.style.resolver

## Class ResolverFactory

- java.lang.Object
- - org.jfree.layouting.layouter.style.resolver.ResolverFactory

-     public class ResolverFactory
      extends java.lang.Object

  Creation-Date: 11.12.2005, 14:40:17
  Author:
    Thomas Morgner

- - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static ResolverFactory` | `getInstance​()` |
    `void` | `performResolve​(LayoutProcess process, LayoutElement node)` |
    `void` | `registerDefaults​()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### getInstance

          public static ResolverFactory getInstance​()

    - #### registerDefaults

          public void registerDefaults​()

    - #### performResolve

          public void performResolve​(LayoutProcess process,
                                     LayoutElement node)